# Type System

Most of the work in working with juniper consists of mapping the 
GraphQL type system to the Rust types your application uses.

Juniper provides some convenient abstractions that try to make this process
as painless as possible.

Find out more in the individual chapters below.

- [Defining objects](objects/defining_objects.md)
  - [Complex fields](objects/complex_fields.md)
  - [Using contexts](objects/using_contexts.md)
  - [Error handling](objects/error_handling.md)
- [Other types](other-index.md)
  - [Enums](enums.md)
  - [Interfaces](interfaces.md)
  - [Input objects](input_objects.md)
  - [Scalars](scalars.md)
  - [Unions](unions.md)
